Support Support Downloads Knowledge Base Juniper Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2021-10 Security Bulletin: Junos OS: Stored Cross-Site Scripting (XSS) vulnerability in captive portal (CVE-2021-31355)

0

0

Article ID: JSA11220 SECURITY_ADVISORIES Last Updated: 13 Oct 2021Version: 1.0
Product Affected:
This issue affects all versions of Junos OS.
Problem:

A persistent cross-site scripting (XSS) vulnerability in the captive portal graphical user interface of Juniper Networks Junos OS may allow a remote authenticated user to inject web script or HTML and steal sensitive data and credentials from a web administration session, possibly tricking a follow-on administrative user to perform administrative actions on the device.

This issue affects Juniper Networks Junos OS:

  • All versions, including the following supported releases:
    • 12.3X48 versions prior to 12.3X48-D105;
    • 15.1X49 versions prior to 15.1X49-D220;
    • 18.3 versions prior to 18.3R3-S5;
    • 18.4 versions prior to 18.4R3-S9;
    • 19.1 versions prior to 19.1R3-S7;
    • 19.2 versions prior to 19.2R3-S3;
    • 19.3 versions prior to 19.3R3-S4;
    • 19.4 versions prior to 19.4R3-S6;
    • 20.1 versions prior to 20.1R3;
    • 20.2 versions prior to 20.2R1-S1, 20.2R2;
    • 20.3 versions prior to 20.3R2;
    • 20.4 versions prior to 20.4R2;
    • 21.1 versions prior to 21.1R2.


A sample configuration for Captive Portal is shown below:

[system services web-management http]
[set system services web-management https]
[services captive-portal secure-authentication https]


Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was discovered during external security research.

This issue has been assigned CVE-2021-31355.
 

Solution:

The following software releases have been updated to resolve this specific issue: Junos OS 12.3X48-D105, 15.1X49-D220, 18.3R3-S5, 18.4R3-S9, 19.1R3-S7, 19.2R3-S3, 19.3R3-S4, 19.4R3-S6, 20.1R3, 20.2R1-S1, 20.2R2, 20.3R2, 20.4R2, 21.1R2, 21.2R1 and all subsequent releases.

Additionally, after performing an upgrade to a resolved release, additional steps must be taken to ensure that all stored malicious scripts are removed from the configuration.

This issue is being tracked as 1449280.
 

Workaround:
There are no viable workarounds for this issue.

 
Implementation:
Software releases or updates are available for download at https://support.juniper.net/support/downloads/
 
Modification History:
2021-10-13: Initial Publication.

CVSS Score:
8.0 (CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H)
Severity Level:
High
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."
Acknowledgements:
Juniper SIRT would like to acknowledge and thank Fans0n Fan for responsibly reporting this vulnerability.
 

Related Links

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search